import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';

const width = 850;
const height = 455;
const centerX = width / 2;
const centerY = height /2;
const strokeWidth = 13;
const eyeOffsetX = 125;
const eyeOffsetY = 50;
const eyebrowYOffset = -70;
const eyeRadius = 38;
const mouthWidth = 30;
const mouthRadius = 55;

//creation of mouth
const mouthArc = arc()
	.innerRadius(-mouthRadius)
	.outerRadius(mouthRadius + mouthWidth)
	.startAngle(Math.PI/2)
	.endAngle(Math.PI*3/2);

//creation of eye arc
const eyeArc = d3.arc()
    .innerRadius(20)
    .outerRadius(40)
    .startAngle(-Math.PI/3)
    .endAngle(Math.PI/3);

//creation of ear arc
const earArc = d3.arc()
    .innerRadius(40)
    .outerRadius(80)
    .startAngle(-Math.PI/2)
    .endAngle(Math.PI/2);

const App = () => (
<svg width={width} height={height}>
  <g transform={`translate(${centerX},${centerY})`}>
      <circle
        r={centerY - strokeWidth / 3}
        fill="silver"
        stroke="black"
        stroke-width={strokeWidth}
      />
    <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
      	fill="orange" //fill the eye color 
      	stroke="blue" //border color of eye
      	stroke-width="8" //border width of eye
      />
    <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
      	fill="orange" //fill the eye color 
      	stroke="blue" //border color of eye
      	stroke-width="8" //border width of eye
      />
      <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius/3}
        fill = "black" //fill the eye ball color
        stroke = "white" //border color of eye ball
      />
      <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius/3}
        fill = "black" //fill the eye ball color
        stroke = "white" //border color of eye ball
      />
    <ellipse
        rx={eyeRadius}
        ry={eyeRadius/2}
        fill = "orange" //file the ellipse color
        stroke = "white" //borrder color of ellipse
      	transform = "rotate(  )"
      />
      <line
        x1={100}
        y1={33}
        x2={30}
        y2={10}
        stroke = "black"
        stroke-width = '2'
      />
      <line
        x1={-100}
        y1={33}
        x2={-30}
        y2={10}
        stroke = "black"
        stroke-width = '2'
      />
      <line
        x1={-100}
        y1={20}
        x2={-30}
        y2={10}
        stroke = "green" //line color
        stroke-width = '2' // line width
      />
      <line
        x1={100}
        y1={20}
        x2={30}
        y2={10}
        stroke = "green" //line color
        stroke-width = '2' // line width
      />
      <line
        x1={100}
        y1={10}
        x2={30}
        y2={10}
        stroke = "red" //line color
        stroke-width = '2' // line width
      />
      <line
        x1={-100}
        y1={10}
        x2={-30}
        y2={10}
        stroke = "red"
        stroke-width = '2'
      />
    	<path 
        d = {eyeArc()}
        transform = "rotate(8)    translate(-132,-68)"
        fill = "black"
      />
    	<path 
        d = {eyeArc()}
        transform = "rotate(-8)    translate(132,-68)"
        fill = "black"
      />
    	<path 
        d = {earArc()} 
        transform = "rotate(60) translate(10,-215)"
        fill = "orange"
      />
      <path 
        d = {earArc()} 
        transform = "rotate(-60) translate(10,-215)"
        fill = "orange"
      />
  		<path d={mouthArc()}
    		transform = "translate(-6,60)"
      	fill = "black"
      />
  </g>
  </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);